import {
	request,requestwhq
} from './request'

const api = {
	cardList(data) {
		return requestwhq({
			url: 'api/cardList',
			method: 'post',
			data
		})
	},
	storeList(data) {
		return requestwhq({
			url: 'api/storeList',
			method: 'post',
			data
		})
	},
	nearStore(data) {
		return request({
			url: 'api/nearStore',
			method: 'post',
			data
		})
	},
	numberCheck(data) {
		return request({
			url: 'api/user/numberCheck',
			method: 'post',
			data
		})
	},
	cardBuy(data) {
		return request({
			url: 'api/user/cardBuy',
			method: 'post',
			data
		})
	},
	cardPay(data) {
		return request({
			url: 'api/user/cardPay',
			method: 'post',
			data
		})
	},
	memberInfo(data) {
		return request({
			url: 'api/user/memberInfo',
			method: 'post',
			data
		})
	},
	memberCardList(data) {
		return request({
			url: 'api/user/memberCardList',
			method: 'post',
			data
		})
	},
	memberFace(data) {
		return request({
			url: 'api/user/memberFace',
			method: 'post',
			data
		})
	},
	memberUpdate(data) {
		return request({
			url: 'api/user/memberUpdate',
			method: 'post',
			data
		})
	},
	outLogin(data) {
		return request({
			url: 'api/user/outLogin',
			method: 'post',
			data
		})
	},
	newGetCity(data) {
		return request({
			url: 'api/newGetCity',
			method: 'post',
			data
		})
	},
	ipGetCity(data) {
		return request({
			url: 'api/ipGetCity',
			method: 'post',
			data
		})
	},
	}
export default api